function composeSearchInfo(form) {
  var elements = $(form).getElements();
  var filter = new Template('<input type="hidden" name="filter" value="#{value}"/>');
  for (i = 0; i < elements.length; i++) {
    var element = elements[i];
    if (element.type != 'button' && element.type != 'hidden' && element.type != 'submit') {
	  Element.insert($(form),filter.evaluate({'value':element.id + element.operator + element.value}));
    }
  }
}

function prepare(form) {
  var elements = $(form).getElements();
  var Filter = Class.create();
  Filter.prototype = {
    initialize: function(value) {
      chars = value.toArray();
      for (var i = 0; i < chars.length && this.name == undefined; i++) {
        switch (chars[i]) {
          case '%':
            if (chars[i + 1] == '%') {
              this.value = value.substring(i + 2);
            } else {
              this.value = value.substring(i + 1);
            }
            this.name = value.substring(0, i);
            break;
          case '>':
          case '<':
            if (chars[i + 1] == '=') {
              this.value = value.substring(i + 2);
            } else {
              this.value = value.substring(i + 1);
            }
            this.name = value.substring(0, i);
            break;
          case '|':
        	// FIXME
          case '!':
          case '=':
            this.name = value.substring(0, i);
            this.value = value.substring(i + 1);
            break;
        }
      }
    }
  };
  var url = document.location + "#";
  var filters = url.toQueryParams().filter;
  for (var i = 0; i < filters.length; i++) {
    var filter = new Filter(filters[i]);
    for (var j = 0; j < elements.length; j++) {
      var element = elements[j];
      if (element.id == filter.name) {
        element.value=filter.value;
        break;
      }
    }
  }
}